%define anolis_release 3
%global name mtdev

Name:           mtdev
Version:        1.1.6
Release:        %{anolis_release}%{?dist}
Summary:        Multitouch Protocol Translation Library
License:        MIT
URL:            http://bitmath.org/code/mtdev/
Source0:        http://bitmath.org/code/mtdev/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake libtool gcc make make make make

%description
%{name} is a stand-alone library which transforms all variants of kernel MT
events to the slotted type B protocol. The events put into mtdev may be from
any MT device, specifically type A without contact tracking, type A with
contact tracking, or type B with contact tracking.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Multitouch Protocol Translation Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Multitouch protocol translation library development package.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf --force -v --install || exit 1
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

# We intentionally don't ship *.la files
rm -f %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%doc COPYING
%dir %{abidir}
%{_libdir}/libmtdev.so.*
%{abidir}/libmtdev.dump

%files doc
%doc README

%files devel
%{_includedir}/mtdev.h
%{_includedir}/mtdev-plumbing.h
%{_includedir}/mtdev-mapping.h
%{_libdir}/libmtdev.so
%{_libdir}/pkgconfig/mtdev.pc
%{_bindir}/mtdev-test

%changelog
* Mon Mar 13 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.1.6-3
- add abi/api files

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.6-2
- add doc pacakge

* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.6-1
- Init package from upstream v1.1.6
